Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jms
Class JmsObjectMessage

    java.lang.Object
      org.jboss.resource.adapter.jms.JmsMessage
          org.jboss.resource.adapter.jms.JmsObjectMessage

All Implemented Interfaces:
  javax.jms.Message, javax.jms.ObjectMessage

public class JmsObjectMessage
extends JmsMessage
implements javax.jms.ObjectMessage

A wrapper for a message

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Field Summary

Fields inherited from interface javax.jms.Message
`DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

Constructor Summary
`JmsObjectMessage(javax.jms.ObjectMessage message, JmsSession session)` Create a new wrapper

Method Summary
`Serializable` | `getObject()`
`void` | `setObject(Serializable object)`

Methods inherited from class org.jboss.resource.adapter.jms.JmsMessage
`acknowledge, clearBody, clearProperties, equals, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, hashCode, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.Message
`acknowledge, clearBody, clearProperties, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty`

Constructor Detail

### JmsObjectMessage

    public JmsObjectMessage(javax.jms.ObjectMessage message,
                            JmsSession session)

  Create a new wrapper

Parameters:
  `message` - the message
  `session` - the session

Method Detail

### getObject

    public Serializable getObject()
                           throws javax.jms.JMSException

  Specified by:
    `getObject` in interface `javax.jms.ObjectMessage`
  Throws:
    `javax.jms.JMSException`

### setObject

    public void setObject(Serializable object)
                   throws javax.jms.JMSException

  Specified by:
    `setObject` in interface `javax.jms.ObjectMessage`
  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.